Loading...
Searching...
No Matches
casacore::MultiTermLatticeCleaner< T > Class Template Reference

`#include <MultiTermLatticeCleaner.h>`

## Public Member Functions

| MultiTermLatticeCleaner ()
| Create a cleaner for a specific dirty image and PSF.
| MultiTermLatticeCleaner (const MultiTermLatticeCleaner< T > &other)
| The copy constructor uses reference semantics.
MultiTermLatticeCleaner< T > & | operator= (const MultiTermLatticeCleaner< T > &other)
| The assignment operator also uses reference semantics.
| ~MultiTermLatticeCleaner ()
| The destructor does nothing special.
Bool | setntaylorterms (const int &nterms)
| Input : number of Taylor terms Reshapes Blocks to hold the correct number of PSFs and Residual images.
Bool | setscales (const Vector< Float > &scales)
| Input : scales.
Bool | initialise (Int nx, Int ny)
| Initialize all the memory being used.
Bool | setcontrol (CleanEnums::CleanType cleanType, const Int niter, const Float gain, const Quantity &aThreshold, const Bool choose)
| Set control parameters.
Bool | setcontrol (CleanEnums::CleanType cleanType, const Int niter, const Float gain, const Quantity &aThreshold, const Quantity &, const Bool choose=True)
Bool | setpsf (int order, Lattice< T > &psf)
| Input : psfs and dirty images.
Bool | setresidual (int order, Lattice< T > &dirty)
| Input : psfs and dirty images.
Bool | setmodel (int order, Lattice< T > &model)
| Input : model images.
Bool | setmask (Lattice< T > &mask)
| Input : mask.
Int | mtclean (LatticeCleanProgress *progress=0)
| Run the minor cycle.
Bool | getmodel (int order, Lattice< T > &model)
| Output : Model images.
Bool | getresidual (int order, Lattice< T > &residual)
| Ouput : psfs and dirty images.
Bool | getinvhessian (Matrix< Double > &invhessian)
| Output : Hessian matrix.
Public Member Functions inherited from casacore::LatticeCleaner< T >
| LatticeCleaner ()
| Create a cleaner : default constructor.
| LatticeCleaner (const Lattice< T > &psf, const Lattice< T > &dirty)
| Create a cleaner for a specific dirty image and PSF.
| LatticeCleaner (const LatticeCleaner< T > &other)
| The copy constructor uses reference semantics.
LatticeCleaner< T > & | operator= (const LatticeCleaner< T > &other)
| The assignment operator also uses reference semantics.
| ~LatticeCleaner ()
| The destructor does nothing special.
void | update (const Lattice< T > &dirty)
| Update the dirty image only.
Bool | setscales (const Int nscales, const Float scaleInc=1.0)
| Set a number of scale sizes.
Bool | setscales (const Vector< Float > &scales)
| Set a specific set of scales.
Bool | setcontrol (CleanEnums::CleanType cleanType, const Int niter, const Float gain, const Quantity &aThreshold, const Quantity &fThreshold, const Bool choose=True)
| Set up control parameters cleanType - type of the cleaning algorithm to use (HOGBOM, MULTISCALE) niter - number of iterations gain - loop gain used in cleaning (a fraction of the maximum subtracted at every iteration) aThreshold - absolute threshold to stop iterations fThreshold - fractional threshold (i.e.
Bool | setcontrol (CleanEnums::CleanType cleanType, const Int niter, const Float gain, const Quantity &threshold, const Bool choose=True)
| This version of the method disables stopping on fractional threshold.
Int | iteration () const
| return how many iterations we did do
Int | numberIterations () const
void | startingIteration (const Int starting=0)
| what iteration number to start on
Int | clean (Lattice< T > &model, LatticeCleanProgress *progress=0)
| Clean an image.
void | setMask (const Lattice< T > &mask, const T &maskThreshold=T(0.9))
| Set the mask mask - input mask lattice maskThreshold - if positive, the value is treated as a threshold value to determine whether a pixel is good (mask value is greater than the threshold) or has to be masked (mask value is below the threshold).
void | ignoreCenterBox (Bool huh)
| Tell the algorithm to NOT clean just the inner quarter (This is useful when multiscale clean is being used inside a major cycle for MF or WF algorithms) if True, the full image deconvolution will be attempted.
void | setSmallScaleBias (const Float x=0.5)
| Consider the case of a point source: the flux on all scales is the same, and the first scale will be chosen.
void | stopAtLargeScaleNegative ()
| During early iterations of a cycled MS Clean in mosaicing, it common to come across an ocsilatory pattern going between positive and negative in the large scale.
void | stopPointMode (Int nStopPointMode)
| Some algorithms require that the cycles be terminated when the image is dominated by point sources; if we get nStopPointMode of the smallest scale components in a row, we terminate the cycles.
Bool | queryStopPointMode () const
| After completion of cycle, querry this to find out if we stopped because of stopPointMode.
void | speedup (const Float Ndouble)
| speedup() will speed the clean iteration by raising the threshold.
Lattice< T > * | residual ()
| Look at what WE think the residuals look like Assumes the first scale is zero-sized.
Float | threshold () const
| Method to return threshold, including any speedup factors.
T | strengthOptimum () const
| Method to return the strength optimum achieved at the last clean iteration The output of this method makes sense only if it is called after clean.

## Private Member Functions

Int | numberOfTempLattices (Int nscales, Int ntaylor)
Int | manageMemory (Bool allocate)
Bool | findMaxAbsLattice (const TempLattice< Float > &masklat, const Lattice< Float > &lattice, Float &maxAbs, IPosition &posMaxAbs, Bool flip=False)
Int | addTo (Lattice< Float > &to, const Lattice< Float > &add, Float multiplier)
Int | setupFFTMask ()
Int | setupUserMask ()
Int | setupBlobs ()
Int | computeFluxLimit (Float &fluxlimit, Float threshold)
Int | computeMatrixA ()
Int | computeRHS ()
Int | solveMatrixEqn (Int scale)
Int | computePenaltyFunction (Int scale, Float &loopgain, Bool choosespec)
Int | updateSolution (IPosition globalmaxpos, Int maxscaleindex, Float loopgain)
Int | checkConvergence (Bool choosespec, Float thresh, Float fluxlimit)
Int | IND2 (Int taylor, Int scale)
Int | IND4 (Int taylor1, Int taylor2, Int scale1, Int scale2)

## Private Attributes

LogIO | os
Int | ntaylor_p
Int | psfntaylor_p
Int | nscales_p
Int | nx_p
Int | ny_p
Int | totalIters_p
TempLattice< Float > * | dirty_p
| Image mask.
TempLattice< Complex > * | dirtyFT_p
TempLattice< Float > * | mask_p
TempLattice< Float > * | fftmask_p
Vector< Float > | scaleSizes_p
Vector< Float > | scaleBias_p
Vector< Float > | totalScaleFlux_p
Vector< Float > | totalTaylorFlux_p
Float | weightScaleFactor_p
Float | maxPsf_p
IPosition | gip
IPosition | imshape
Int | nx
Int | ny
Int | npol_p
Int | nchan
Bool | donePSF_p
Bool | donePSP_p
Bool | doneCONV_p
Block< TempLattice< Float > * > | vecScales_p
| h(s) [nx,ny,nscales]
Block< TempLattice< Complex > * > | vecScalesFT_p
Block< TempLattice< Float > * > | vecPsf_p
| B_k [nx,ny,ntaylor].
Block< TempLattice< Complex > * > | vecPsfFT_p
Block< TempLattice< Float > * > | vecDirty_p
| I_D : Residual/Dirty Images [nx,ny,ntaylor].
Block< TempLattice< Float > * > | vecModel_p
| I_M : Model Images [nx,ny,ntaylor].
Block< TempLattice< Float > * > | cubeA_p
| A_{smn} = B_{sm} * B{sn} [nx,ny,ntaylor,ntaylor,nscales,nscales] A_{s1s2mn} = B_{s1m} * B{s2n} [nx,ny,ntaylor,ntaylor,nscales,nscales].
Block< LatticeIterator< Float > * > | itercubeA_p
Block< TempLattice< Float > * > | matR_p
| R_{sk} = I_D * B_{sk} [nx,ny,ntaylor,nscales].
Block< LatticeIterator< Float > * > | itermatR_p
Block< TempLattice< Float > * > | matCoeffs_p
| a_{sk} = Solution vectors.
Block< LatticeIterator< Float > * > | itermatCoeffs_p
Double | memoryMB_p
| Memory to be allocated per TempLattice.
Block< Matrix< Double > * > | matA_p
| Solve [A][Coeffs] = [I_D * B] Shape of A : [ntaylor,ntaylor].
Block< Matrix< Double > * > | invMatA_p
TempLattice< Complex > * | cWork_p
| Scratch Lattices and iterators.
TempLattice< Float > * | tWork_p
LatticeIterator< Float > * | itertWork_p
LatticeExprNode | len_p
Float | lambda_p
Bool | adbg

## Additional Inherited Members

Static Public Member Functions inherited from casacore::LatticeCleaner< T >
static void | addTo (Lattice< T > &to, const Lattice< T > &add)
| Helper function to optimize adding.
Protected Member Functions inherited from casacore::LatticeCleaner< T >
Bool | validatePsf (const Lattice< T > &psf)
| Make sure that the peak of the Psf is within the image.
void | makeScale (Lattice< T > &scale, const Float &scaleSize)
| Make an lattice of the specified scale.
Float | spheroidal (Float nu)
| Make Spheroidal function for scale images.
Bool | findMaxAbsMaskLattice (const Lattice< T > &lattice, const Lattice< T > &mask, T &maxAbs, IPosition &posMax)
| Find the Peak of the lattice, applying a mask.
Static Protected Member Functions inherited from casacore::LatticeCleaner< T >
static Bool | findMaxAbsLattice (const Lattice< T > &lattice, T &maxAbs, IPosition &posMax)
| Find the Peak of the Lattice.
static void | makeBoxesSameSize (IPosition &blc1, IPosition &trc1, IPosition &blc2, IPosition &trc2)
| Helper function to reduce the box sizes until the have the same size keeping the centers intact.
Protected Attributes inherited from casacore::LatticeCleaner< T >
CleanEnums::CleanType | itsCleanType
Float | itsGain
Int | itsMaxNiter
Quantum< Double > | itsThreshold
TempLattice< T > * | itsMask
IPosition | itsPositionPeakPsf

## Detailed Description

template<class T>
class casacore::MultiTermLatticeCleaner< T >

Definition at line 39 of file MultiTermLatticeCleaner.h.

## Constructor & Destructor Documentation

## MultiTermLatticeCleaner() [1/2]

template<class T>

casacore::MultiTermLatticeCleaner< T >::MultiTermLatticeCleaner | ( |  | ) |

Create a cleaner for a specific dirty image and PSF.

Referenced by MultiTermLatticeCleaner(), and operator=().

## MultiTermLatticeCleaner() [2/2]

template<class T>

casacore::MultiTermLatticeCleaner< T >::MultiTermLatticeCleaner | ( | const MultiTermLatticeCleaner< T > & | other | ) |

The copy constructor uses reference semantics.

References MultiTermLatticeCleaner().

## ~MultiTermLatticeCleaner()

template<class T>

casacore::MultiTermLatticeCleaner< T >::~MultiTermLatticeCleaner | ( |  | ) |

The destructor does nothing special.

## Member Function Documentation

## addTo()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::addTo | ( | Lattice< Float > & | to,
|  | const Lattice< Float > & | add,
|  | Float | multiplier )

private

## checkConvergence()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::checkConvergence | ( | Bool | choosespec,
|  | Float | thresh,
|  | Float | fluxlimit )

private

## computeFluxLimit()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::computeFluxLimit | ( | Float & | fluxlimit,
|  | Float | threshold )

private

References casacore::LatticeCleaner< T >::threshold().

## computeMatrixA()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::computeMatrixA | ( |  | ) |

private

## computePenaltyFunction()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::computePenaltyFunction | ( | Int | scale,
|  | Float & | loopgain,
|  | Bool | choosespec )

private

## computeRHS()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::computeRHS | ( |  | ) |

private

## findMaxAbsLattice()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::findMaxAbsLattice | ( | const TempLattice< Float > & | masklat,
|  | const Lattice< Float > & | lattice,
|  | Float & | maxAbs,
|  | IPosition & | posMaxAbs,
|  | Bool | flip = False )

private

References casacore::False.

## getinvhessian()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::getinvhessian | ( | Matrix< Double > & | invhessian | ) |

Output : Hessian matrix.

## getmodel()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::getmodel | ( | int | order,
|  | Lattice< T > & | model )

Output : Model images.

References casacore::order().

## getresidual()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::getresidual | ( | int | order,
|  | Lattice< T > & | residual )

Ouput : psfs and dirty images.

References casacore::order(), and casacore::LatticeCleaner< T >::residual().

## IND2()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::IND2 | ( | Int | taylor,
|  | Int | scale )

private

## IND4()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::IND4 | ( | Int | taylor1,
|  | Int | taylor2,
|  | Int | scale1,
|  | Int | scale2 )

private

## initialise()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::initialise | ( | Int | nx,
|  | Int | ny )

Initialize all the memory being used.

References nx, and ny.

## manageMemory()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::manageMemory | ( | Bool | allocate | ) |

private

## mtclean()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::mtclean | ( | LatticeCleanProgress * | progress = 0 | ) |

Run the minor cycle.

## numberOfTempLattices()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::numberOfTempLattices | ( | Int | nscales,
|  | Int | ntaylor )

private

## operator=()

template<class T>

MultiTermLatticeCleaner< T > & casacore::MultiTermLatticeCleaner< T >::operator= | ( | const MultiTermLatticeCleaner< T > & | other | ) |

The assignment operator also uses reference semantics.

References MultiTermLatticeCleaner().

## setcontrol() [1/2]

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setcontrol | ( | CleanEnums::CleanType | cleanType,
|  | const Int | niter,
|  | const Float | gain,
|  | const Quantity & | aThreshold,
|  | const Bool | choose )

Set control parameters.

Referenced by setcontrol().

## setcontrol() [2/2]

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setcontrol | ( | CleanEnums::CleanType | cleanType,
|  | const Int | niter,
|  | const Float | gain,
|  | const Quantity & | aThreshold,
|  | const Quantity & | ,
|  | const Bool | choose = True )

inline

Definition at line 69 of file MultiTermLatticeCleaner.h.

References setcontrol(), and casacore::True.

## setmask()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setmask | ( | Lattice< T > & | mask | ) |

Input : mask.

References casacore::mask().

## setmodel()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setmodel | ( | int | order,
|  | Lattice< T > & | model )

Input : model images.

References casacore::order().

## setntaylorterms()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setntaylorterms | ( | const int & | nterms | ) |

Input : number of Taylor terms Reshapes Blocks to hold the correct number of PSFs and Residual images.

## setpsf()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setpsf | ( | int | order,
|  | Lattice< T > & | psf )

Input : psfs and dirty images.

References casacore::order().

## setresidual()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setresidual | ( | int | order,
|  | Lattice< T > & | dirty )

Input : psfs and dirty images.

References casacore::order().

## setscales()

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::setscales | ( | const Vector< Float > & | scales | ) |

Input : scales.

## setupBlobs()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::setupBlobs | ( |  | ) |

private

## setupFFTMask()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::setupFFTMask | ( |  | ) |

private

## setupUserMask()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::setupUserMask | ( |  | ) |

private

## solveMatrixEqn()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::solveMatrixEqn | ( | Int | scale | ) |

private

## updateSolution()

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::updateSolution | ( | IPosition | globalmaxpos,
|  | Int | maxscaleindex,
|  | Float | loopgain )

private

## Member Data Documentation

## adbg

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::adbg

private

Definition at line 204 of file MultiTermLatticeCleaner.h.

## cubeA_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::cubeA_p

private

A_{smn} = B_{sm} * B{sn} [nx,ny,ntaylor,ntaylor,nscales,nscales] A_{s1s2mn} = B_{s1m} * B{s2n} [nx,ny,ntaylor,ntaylor,nscales,nscales].

Definition at line 156 of file MultiTermLatticeCleaner.h.

## cWork_p

template<class T>

TempLattice<Complex>* casacore::MultiTermLatticeCleaner< T >::cWork_p

private

Scratch Lattices and iterators.

Definition at line 176 of file MultiTermLatticeCleaner.h.

## dirty_p

template<class T>

TempLattice<Float>* casacore::MultiTermLatticeCleaner< T >::dirty_p

private

Image mask.

Definition at line 124 of file MultiTermLatticeCleaner.h.

## dirtyFT_p

template<class T>

TempLattice<Complex>* casacore::MultiTermLatticeCleaner< T >::dirtyFT_p

private

Definition at line 125 of file MultiTermLatticeCleaner.h.

## doneCONV_p

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::doneCONV_p

private

Definition at line 138 of file MultiTermLatticeCleaner.h.

## donePSF_p

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::donePSF_p

private

Definition at line 138 of file MultiTermLatticeCleaner.h.

## donePSP_p

template<class T>

Bool casacore::MultiTermLatticeCleaner< T >::donePSP_p

private

Definition at line 138 of file MultiTermLatticeCleaner.h.

## fftmask_p

template<class T>

TempLattice<Float>* casacore::MultiTermLatticeCleaner< T >::fftmask_p

private

Definition at line 127 of file MultiTermLatticeCleaner.h.

## gip

template<class T>

IPosition casacore::MultiTermLatticeCleaner< T >::gip

private

Definition at line 136 of file MultiTermLatticeCleaner.h.

## imshape

template<class T>

IPosition casacore::MultiTermLatticeCleaner< T >::imshape

private

Definition at line 136 of file MultiTermLatticeCleaner.h.

## invMatA_p

template<class T>

Block<Matrix<Double>*> casacore::MultiTermLatticeCleaner< T >::invMatA_p

private

Definition at line 173 of file MultiTermLatticeCleaner.h.

## itercubeA_p

template<class T>

Block<LatticeIterator<Float>* > casacore::MultiTermLatticeCleaner< T >::itercubeA_p

private

Definition at line 157 of file MultiTermLatticeCleaner.h.

## itermatCoeffs_p

template<class T>

Block<LatticeIterator<Float>* > casacore::MultiTermLatticeCleaner< T >::itermatCoeffs_p

private

Definition at line 165 of file MultiTermLatticeCleaner.h.

## itermatR_p

template<class T>

Block<LatticeIterator<Float>* > casacore::MultiTermLatticeCleaner< T >::itermatR_p

private

Definition at line 161 of file MultiTermLatticeCleaner.h.

## itertWork_p

template<class T>

LatticeIterator<Float>* casacore::MultiTermLatticeCleaner< T >::itertWork_p

private

Definition at line 178 of file MultiTermLatticeCleaner.h.

## lambda_p

template<class T>

Float casacore::MultiTermLatticeCleaner< T >::lambda_p

private

Definition at line 182 of file MultiTermLatticeCleaner.h.

## len_p

template<class T>

LatticeExprNode casacore::MultiTermLatticeCleaner< T >::len_p

private

Definition at line 180 of file MultiTermLatticeCleaner.h.

## mask_p

template<class T>

TempLattice<Float>* casacore::MultiTermLatticeCleaner< T >::mask_p

private

Definition at line 126 of file MultiTermLatticeCleaner.h.

## matA_p

template<class T>

Block<Matrix<Double>*> casacore::MultiTermLatticeCleaner< T >::matA_p

private

Solve [A][Coeffs] = [I_D * B] Shape of A : [ntaylor,ntaylor].

Definition at line 172 of file MultiTermLatticeCleaner.h.

## matCoeffs_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::matCoeffs_p

private

a_{sk} = Solution vectors.

[nx,ny,ntaylor,nscales]

Definition at line 164 of file MultiTermLatticeCleaner.h.

## matR_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::matR_p

private

R_{sk} = I_D * B_{sk} [nx,ny,ntaylor,nscales].

Definition at line 160 of file MultiTermLatticeCleaner.h.

## maxPsf_p

template<class T>

Float casacore::MultiTermLatticeCleaner< T >::maxPsf_p

private

Definition at line 134 of file MultiTermLatticeCleaner.h.

## memoryMB_p

template<class T>

Double casacore::MultiTermLatticeCleaner< T >::memoryMB_p

private

Memory to be allocated per TempLattice.

Definition at line 168 of file MultiTermLatticeCleaner.h.

## nchan

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::nchan

private

Definition at line 137 of file MultiTermLatticeCleaner.h.

## npol_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::npol_p

private

Definition at line 137 of file MultiTermLatticeCleaner.h.

## nscales_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::nscales_p

private

Definition at line 118 of file MultiTermLatticeCleaner.h.

## ntaylor_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::ntaylor_p

private

Definition at line 116 of file MultiTermLatticeCleaner.h.

## nx

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::nx

private

Definition at line 137 of file MultiTermLatticeCleaner.h.

Referenced by initialise().

## nx_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::nx_p

private

Definition at line 119 of file MultiTermLatticeCleaner.h.

## ny

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::ny

private

Definition at line 137 of file MultiTermLatticeCleaner.h.

Referenced by initialise().

## ny_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::ny_p

private

Definition at line 120 of file MultiTermLatticeCleaner.h.

## os

template<class T>

LogIO casacore::MultiTermLatticeCleaner< T >::os

private

Definition at line 100 of file MultiTermLatticeCleaner.h.

## psfntaylor_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::psfntaylor_p

private

Definition at line 117 of file MultiTermLatticeCleaner.h.

## scaleBias_p

template<class T>

Vector<Float> casacore::MultiTermLatticeCleaner< T >::scaleBias_p

private

Definition at line 130 of file MultiTermLatticeCleaner.h.

## scaleSizes_p

template<class T>

Vector<Float> casacore::MultiTermLatticeCleaner< T >::scaleSizes_p

private

Definition at line 129 of file MultiTermLatticeCleaner.h.

## totalIters_p

template<class T>

Int casacore::MultiTermLatticeCleaner< T >::totalIters_p

private

Definition at line 121 of file MultiTermLatticeCleaner.h.

## totalScaleFlux_p

template<class T>

Vector<Float> casacore::MultiTermLatticeCleaner< T >::totalScaleFlux_p

private

Definition at line 131 of file MultiTermLatticeCleaner.h.

## totalTaylorFlux_p

template<class T>

Vector<Float> casacore::MultiTermLatticeCleaner< T >::totalTaylorFlux_p

private

Definition at line 132 of file MultiTermLatticeCleaner.h.

## tWork_p

template<class T>

TempLattice<Float>* casacore::MultiTermLatticeCleaner< T >::tWork_p

private

Definition at line 177 of file MultiTermLatticeCleaner.h.

## vecDirty_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::vecDirty_p

private

I_D : Residual/Dirty Images [nx,ny,ntaylor].

Definition at line 149 of file MultiTermLatticeCleaner.h.

## vecModel_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::vecModel_p

private

I_M : Model Images [nx,ny,ntaylor].

Definition at line 152 of file MultiTermLatticeCleaner.h.

## vecPsf_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::vecPsf_p

private

B_k [nx,ny,ntaylor].

Definition at line 145 of file MultiTermLatticeCleaner.h.

## vecPsfFT_p

template<class T>

Block<TempLattice<Complex>* > casacore::MultiTermLatticeCleaner< T >::vecPsfFT_p

private

Definition at line 146 of file MultiTermLatticeCleaner.h.

## vecScales_p

template<class T>

Block<TempLattice<Float>* > casacore::MultiTermLatticeCleaner< T >::vecScales_p

private

h(s) [nx,ny,nscales]

Definition at line 141 of file MultiTermLatticeCleaner.h.

## vecScalesFT_p

template<class T>

Block<TempLattice<Complex>* > casacore::MultiTermLatticeCleaner< T >::vecScalesFT_p

private

Definition at line 142 of file MultiTermLatticeCleaner.h.

## weightScaleFactor_p

template<class T>

Float casacore::MultiTermLatticeCleaner< T >::weightScaleFactor_p

private

Definition at line 133 of file MultiTermLatticeCleaner.h.

The documentation for this class was generated from the following file:

- lattices/LatticeMath/MultiTermLatticeCleaner.h